Package org.eclipse.net4j.util.concurrent

## Interface RWLockManager.LockStrategy<OBJECT,​CONTEXT>

- Enclosing class:
    RWLockManager<OBJECT,​CONTEXT>

      @Deprecated
      protected static interface RWLockManager.LockStrategy<OBJECT,​CONTEXT>

  Deprecated.
  Use `RWOLockManager`
  Since:
    3.1
  Author:
    Simon McDuff

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canObtainLock​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry, CONTEXT context)` | Deprecated.
    `boolean` | `isLocked​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry, CONTEXT context)` | Deprecated.
    `boolean` | `isLockedByOthers​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry, CONTEXT context)` | Deprecated.
    `RWLockManager.LockEntry<OBJECT,​CONTEXT>` | `lock​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry, CONTEXT context)` | Deprecated.
    `RWLockManager.LockEntry<OBJECT,​CONTEXT>` | `unlock​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry, CONTEXT context)` | Deprecated.

- - ### Method Detail

    - #### isLocked

          boolean isLocked​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry,
                           CONTEXT context)

      Deprecated.

    - #### isLockedByOthers

          boolean isLockedByOthers​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry,
                                   CONTEXT context)

      Deprecated.

    - #### canObtainLock

          boolean canObtainLock​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry,
                                CONTEXT context)

      Deprecated.

    - #### lock

          RWLockManager.LockEntry<OBJECT,​CONTEXT> lock​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry,
                                                             CONTEXT context)

      Deprecated.

    - #### unlock

          RWLockManager.LockEntry<OBJECT,​CONTEXT> unlock​(RWLockManager.LockEntry<OBJECT,​CONTEXT> entry,
                                                               CONTEXT context)

      Deprecated.